<?php

namespace APnutI\Logger;

use Monolog\Processor\ProcessorInterface;
use Monolog\LogRecord;

// See: https://stackoverflow.com/a/78901964
class LevelNamePaddingProcessor implements ProcessorInterface
{
    public function __invoke(LogRecord $record): LogRecord
    {
        $record->extra['level_padded'] = str_pad($record->level->getName(), 5, ' ', STR_PAD_RIGHT);

        return $record;
    }
}
